### org.jfree.layouting.input.style.selectors

# Class CSSDescendantSelector

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.AbstractSelector`
  - - `org.jfree.layouting.input.style.selectors.CSSDescendantSelector`

Implemented Interfaces:
  DescendantSelector, CSSSelector, Selector, Serializable

`public class CSSDescendantSelector`
`extends AbstractSelector`
`implements DescendantSelector`

Creation-Date: 30.11.2005, 15:38:58

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSDescendantSelector(SimpleSelector simpleSelector, Selector anchestorSelector, boolean childRelation)`

  ## Method Summary

  `protected SelectorWeight`

  `createWeight()`

  `Selector`

  `getAncestorSelector()`
    Returns the parent selector.

  `short`

  `getSelectorType()`
    An integer indicating the type of `Selector`

  `SimpleSelector`

  `getSimpleSelector()`

  ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

  `createWeight`, `getWeight`

## Constructor Details

### CSSDescendantSelector

    public CSSDescendantSelector(SimpleSelector simpleSelector,
                                 Selector anchestorSelector,
                                 boolean childRelation)

## Method Details

### createWeight

    protected SelectorWeight createWeight()

> Overrides:
>   createWeight in interface AbstractSelector

### getAncestorSelector

    public Selector getAncestorSelector()

> Returns the parent selector.

### getSelectorType

    public short getSelectorType()

> An integer indicating the type of `Selector`

### getSimpleSelector

    public SimpleSelector getSimpleSelector()